PETSc version 3.15.5
Fix/Edit manual page

# DMMoabCreateSubmesh

Creates a sub-DM object with a set that contains all vertices/elements of the parent in addition to providing support for dynamic mesh modifications. This is useful for AMR calculations to create a DM object on a refined level.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabCreateSubmesh(DM dm, DM *newdm)

Collective

### Input Parameters

| dm | - The DM object

### Output Parameter

| newdm | - The sub DM object with updated set information

### See Also

DMCreate(), DMMoabCreateVertices(), DMMoabCreateElement()

### Level

advanced

### Location

src/dm/impls/moab/dmmoab.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages